petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFieldSplitSetIS

Sets the exact elements for field

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSetIS(PC pc,const char splitname[],IS is)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| splitname | - name of this split, if NULL the number of the split is used
| is | - the index set that defines the vector elements in this field

### Notes

Use PCFieldSplitSetFields(), for fields defined by strided types.

This function is called once per split (it creates a new split each time). Solve options for this split will be available under the prefix -fieldsplit_SPLITNAME_.

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSetBlockSize()

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

### Examples

src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex70.c.html

### Implementations

PCFieldSplitSetIS_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages